Name:		libmatekbd
Version:	1.4.0
Release:	2%{?dist}
Summary:	Libraries for mate kbd
License:	GPLv2+ and LGPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils gtk2-devel libxklavier-devel mate-common mate-conf-devel
Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf


%description
Libraries for matekbd

%package devel
Summary: Development libraries for libmatekbd
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries for libmatekbd

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static --disable-schemas-install
make %{?_smp_mflags} V=1


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'
%find_lang %{po_package} --all-name
desktop-file-install									\
	--remove-category="MATE"							\
	--add-category="X-Mate"								\
	--remove-only-show-in="MATE"							\
	--add-only-show-in="X-MATE"							\
	--delete-original								\
	--dir=%{buildroot}%{_datadir}/applications					\
%{buildroot}%{_datadir}/applications/matekbd-indicator-plugins-capplet.desktop

%pre
%mateconf_schema_prepare %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard_xkb.schemas
%mateconf_schema_obsolete %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard_xkb.schemas

%post
/sbin/ldconfig
%mateconf_schema_upgrade %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard_xkb.schemas

%postun
/sbin/ldconfig
%mate_schema_remove %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard_xkb.schemas


%files -f %{po_package}.lang
%{_datadir}/applications/matekbd-indicator-plugins-capplet.desktop
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard_xkb.schemas
%{_bindir}/matekbd-indicator-plugins-capplet
%{_datadir}/applications/matekbd-indicator-plugins-capplet.desktop
%{_datadir}/libmatekbd/ui/matekbd-indicator-plugins.ui
%{_datadir}/libmatekbd/ui/matekbd-indicator-plugins_add.ui
%{_datadir}/libmatekbd/ui/show-layout.ui
%{_libdir}/libmatekbd.so.4
%{_libdir}/libmatekbd.so.4.2.0
%{_libdir}/libmatekbdui.so.4
%{_libdir}/libmatekbdui.so.4.2.0

%files devel
%{_includedir}/libmatekbd/
%{_libdir}/pkgconfig/libmatekbd.pc
%{_libdir}/pkgconfig/libmatekbdui.pc
%{_libdir}/libmatekbdui.so
%{_libdir}/libmatekbd.so

%changelog
* Sat Aug 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Drop libs package add scriptlets for schemas

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
